<?php
/*
 * Kronolith Configuration File
 *
 * This file contains global configuration settings for Kronolith. Values
 * may be safely edited by hand. Use conf.php.dist as a reference.
 *
 * Strings should be enclosed in 'quotes'.
 * Integers should be given literally (without quotes).
 * Boolean values may be true or false (no quotes).
 *
 * $Horde: kronolith/config/conf.php.dist,v 1.27 2001/09/28 21:36:52 max Exp $
 */


/**
 ** Calendar Driver Settings
 **/

// What calendar backend is being used? Right now, the only options are
// 'mcal' and 'sql', but others may appear at some point in the future.
$conf['calendar']['driver'] = 'mcal';

// What MCAL driver is being used? 'mstore' is the local file driver,
// and is the only one with extensive testing. There is also an ICAP
// driver, and theoretically an ICAP server, but Kronolith has not
// been tested with them.
$conf['calendar']['params']['driver'] = 'mstore';

// The mstore driver requires a username that is in /etc/mpasswd in
// order to access local calendars.
$conf['calendar']['params']['username'] = '';

// This is the password of the user defined above.
$conf['calendar']['params']['password'] = '';


/**
 ** Metadata Settings
 **/

// What should the label for the category field be?
$conf['metadata']['category']['label'] = _("Category");

// What kind of form field should the category field be? Valid values
// are 'text' (an <input type="text"> field) and 'systemList' (an
// <input type="select">, with the values defined in
// $conf['metadata']['category']['options']).
$conf['metadata']['category']['type'] = 'text';

// If the category field is a system-defined list, this parameter
// holds the array of options to give users. If it is an associative
// array, then the array keys will be the values actually
// stored. Otherwise, the array values will be used as the keys.
$conf['metadata']['category']['options'] = array(_("Personal"), _("Business"));

// If this is true, then an array of keywords will be read from
// config/keywords.php and you will be able to assign any or all of
// them to events.
$conf['metadata']['keywords'] = false;


/**
 ** Menu settings
 **/

// Should we display a Import/Export link in de Horde application
// menus?
$conf['menu']['import_export'] = true; 

// This is an array of applications (using the names defined in
// horde/config/registry.php) to include links to in the menubar. An
// example providing a link to Turba (an addressbook program) would
// be: $conf['menu']['apps'] = array('turba');
$conf['menu']['apps'] = array();

?>
